#
# This spec file is for _testing_. You may use it (I do), but no warranty.
#

%define ssdate 021109
Summary: The iputils package contains ping and traceroute
Name: iputils
Version: 20%{ssdate}
Release: 3
License: BSD
Group: System Environment/Daemons
Source0: iputils-ss%{ssdate}.tar.bz2
Source1: racoon.Makefile
Patch0: iputils.patch
Prefix: %{_prefix}
BuildRoot: %{_tmppath}/%{name}-root
BuildPrereq: docbook-dtd31-sgml, perl
Requires: kernel >= 2.4.7

%description 
The iputils package contains ping, a basic networking tool.  The ping
command sends a series of ICMP protocol ECHO_REQUEST packets to a
specified network host and can tell you if that machine is alive and
receiving network traffic.

%package racoon
Summary: Racoon is the IKE daemon to be used with Linux Kernel 2.5
Group: System Environment/Daemons

%description racoon
Racoon is the IKE daemon to be used with Linux Kernel 2.5

%prep
%setup -q -n %{name}
%patch0 -p1

%build
make 
#CC=gcc3
make man
make html
cd libipsec
make
cd ../setkey
make
cd ../racoon
cp %{SOURCE1} Makefile
#./configure
make

%install
rm -rf ${RPM_BUILD_ROOT}

mkdir -p ${RPM_BUILD_ROOT}%{_sbindir}
mkdir -p ${RPM_BUILD_ROOT}/{bin,sbin}
install -c clockdiff		${RPM_BUILD_ROOT}%{_sbindir}/
%ifos linux
install -c arping               ${RPM_BUILD_ROOT}/sbin/
ln -s ../../sbin/arping ${RPM_BUILD_ROOT}%{_sbindir}/arping
install -c ping			${RPM_BUILD_ROOT}/bin/
%else
install -c arping		${RPM_BUILD_ROOT}%{_sbindir}/
install -c ping			${RPM_BUILD_ROOT}%{_sbindir}/
%endif
install -c ping6		${RPM_BUILD_ROOT}%{_sbindir}/
install -c rdisc		${RPM_BUILD_ROOT}%{_sbindir}/
install -c tracepath		${RPM_BUILD_ROOT}%{_sbindir}/
install -c tracepath6		${RPM_BUILD_ROOT}%{_sbindir}/
install -c traceroute6		${RPM_BUILD_ROOT}%{_sbindir}/
install -c setkey/setkey	${RPM_BUILD_ROOT}%{_sbindir}/
install -c racoon/racoon	${RPM_BUILD_ROOT}%{_sbindir}/
install -c racoon/racoonctl	${RPM_BUILD_ROOT}%{_sbindir}/
install -c racoon/eaytest	${RPM_BUILD_ROOT}%{_sbindir}/

mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/man8
mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/man3
mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/man5
install -c doc/*.8		${RPM_BUILD_ROOT}%{_mandir}/man8/
install -c libipsec/*.3		${RPM_BUILD_ROOT}%{_mandir}/man3/
install -c racoon/*.8		${RPM_BUILD_ROOT}%{_mandir}/man8/
install -c racoon/*.5		${RPM_BUILD_ROOT}%{_mandir}/man5/

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%doc RELNOTES doc/*.html
%{_sbindir}/clockdiff
%ifos linux
%attr(4755,root,root)	/bin/ping
/sbin/arping
%{_sbindir}/arping
%else
%{_sbindir}/arping
%attr(4755,root,root)	%{_sbindir}/ping
%endif
%attr(4755,root,root) %{_sbindir}/ping6
%{_sbindir}/tracepath
%{_sbindir}/tracepath6
%attr(4755,root,root) %{_sbindir}/traceroute6
%{_sbindir}/rdisc
%{_mandir}/man8/arping.8.gz
%{_mandir}/man8/clockdiff.8.gz
%{_mandir}/man8/pg3.8.gz
%{_mandir}/man8/ping.8.gz
%{_mandir}/man8/rarpd.8.gz
%{_mandir}/man8/rdisc.8.gz
%{_mandir}/man8/tftpd.8.gz
%{_mandir}/man8/tracepath.8.gz
%{_mandir}/man8/traceroute6.8.gz
%{_mandir}/man3/*

%files racoon
%{_sbindir}/setkey
%{_sbindir}/racoon
%{_sbindir}/racoonctl
%{_sbindir}/eaytest
%{_mandir}/man5/*
%{_mandir}/man8/racoon.8.gz
%{_mandir}/man8/setkey.8.gz
%doc racoon/doc racoon/samples racoon/contrib

%changelog
* Thu Feb 20 2003 Ralf Spenneberg <ralf@spenneberg.de>
- Changed some path for racoon

* Tue Feb 18 2003 Ralf Spenneberg <ralf@spenneberg.de>
- Included setkey manpage

* Tue Dec 03 2002 Ralf Spenneberg <ralf@spenneberg.de>
- Compiled on Redhat 8.0

* Sat Feb 23 2001 Alexey Kuznetsov <kuznet@ms2.inr.ac.ru>
  Taken iputils rpm from ASPLinux-7.2 as pattern.
